Subject: [Seamoby] RE: question to Pekka S. on CTP

From: [email-masked]
Date: Tue, 17 Jun 2003 16:43:07 +0300

Hi Pekka,

> I think experimental (compared to standards track) may be a very good 
> choice here, and very reasonable.
> 
> But regardless of that, I think it's important (and I think you'll
> probably agree) to at least try to paint some picture about deployment
> restrictions very early (in abstract, special section or introduction), so
> people don't have too many fantastic notions about the applicability (and 
> when starting to read the document, think like "what are these guys 
> doing?  you can't solve the generic problem with this".
> 
> So, personally I think it might be a good idea to focus first *with
> sufficiently verbose text early on* on the "context transfer inside one
> ISP" -problem, and see whether it gives you sufficient sufficient benefits
> and the protocol can be deployed.
> 
> The next phase, to be done later (prior to going to PS, at the latest),
> could be figuring how how to establish security associations in context
> transfers between ISP's, and how to enhance the context 
> transfer triggers.
> 
> An alternative method, of course, might be to try to work on -- at least
> in some fashion -- the inter-ISP cases right now too, to get better
> experimental data (when CTP gets implemented and piloted) on that for
> later, to see how well the current protocol works in this 
> scenario (might
> save redesigning later on if inter-ISP context transfers or 
> other stuff
> required for real deployments are deemed necessary).
> 
> I see two paths, but I can't really say which is the best.  Both have 
> their tradeoffs.

Got it. At least it points to the fact we need more 'context' in the
draft to help the reader understand what we are trying to do.

thanks,
JOhn
_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby